=== debian/changelog ===
discosnp (1.0.1-3) unstable; urgency=low

  * d/rules: FTBS fix help2man command

 -- Olivier Sallou <osallou@debian.org>  Thu, 06 Feb 2014 09:10:12 +0100

discosnp (1.0.1-2) unstable; urgency=low

  * d/control: FTBS due to missing deps

 -- Olivier Sallou <osallou@debian.org>  Thu, 06 Feb 2014 08:04:38 +0100

discosnp (1.0.1-1) unstable; urgency=low

  * First debian package (Closes: #737098).

 -- Olivier Sallou <osallou@debian.org>  Sat, 01 Feb 2014 16:55:29 +0100
