=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRC_VERSION =$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download --repack --repack-compression xz

override_dh_auto_build:
	dh_auto_build
	cd kissnp2 && make k=29
	cd kissreads && make k=29

override_dh_install:
	cp output_analyses/discoSnp_to_genotypes.py output_analyses/discoSnp_to_genotypes
	cp output_analyses/discoSnp_to_csv.py output_analyses/discoSnp_to_csv
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) kissnp2/kissnp2  > kissnp2.1
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) kissreads/kissreads > kissreads.1
	dh_install

override_dh_clean:
	cd minia && make clean
	cd kissnp2 && make clean
	cd kissreads && make clean
	rm -f output_analyses/discoSnp_to_genotypes
	rm -f output_analyses/discoSnp_to_csv
	rm -f kissnp2/kissnp2
	rm -f kissreads/kissreads
	rm -f kissreads.1
	rm -f kissnp2.1
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --repack-compression xz
