## discosnp 1.2.2

=== kissreads/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # POSSIBILITIES:
 # * make: compiled for generic usage. By default: kmer_spanning (a position is considered as covered if the kmer starting at this position is fully covered by a read)
-# * make MYFLAGS=-DLIVIUS_TESTS : output only motifs where au-vb is specific to one datasets and av'-u'b is specific to the other
+# * make MYFLAGS=-DREAD2INV : output only motifs where au-vb is specific to one datasets and av'-u'b is specific to the other
 # * make MYFLAGS=-DCLASSICAL_SPANNING : compiled without kmer (a position is considered as covered as soon as a read maps this position)
 # * make MYFLAGS=-DINPUT_FROM_KISSPLICE : compiled for dealing with kissplice output and to count separately junctions and central portions
 # Note that this is compatible: make CFLAGS="-DCLASSICAL_SPANNING -DINPUT_FROM_KISSPLICE" is possible
@@ -19,9 +19,9 @@
 
 # optimized flags
 
-CFLAGS=-Wall -O3 -lz -fopenmp
+CFLAGS=-Wall -O3 -lz -fopenmp -DOMP #openmp is incompatiblre with clang #@!§
 CFLAGS+=$(MYFLAGS)
-LDFLAGS+=-Wall -lm -O3 -lz -fopenmp
+LDFLAGS+=-Wall -lm -O3 -lz -DOMP -fopenmp#-fopenmp
 
 ## debug flags
