=== debian/changelog ===
discosnp (1.2.2-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Thu, 29 May 2014 14:09:41 +0200

discosnp (1.2.1-1) unstable; urgency=low

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Wed, 09 Apr 2014 14:41:03 +0200
