## discosnp 1.2.5

=== kissreads/Makefile ===
--- 
+++ 
@@ -19,16 +19,23 @@
 
 # optimized flags
 
-CFLAGS=-Wall -O3 -lz -fopenmp -DOMP #openmp is incompatiblre with clang #@!§
+#CFLAGS=-Wall -O3 -L/../thirdparty/zlib/build/ -lz
+CFLAGS= -O3  -L../thirdparty/zlib/build/ -lz
 CFLAGS+=$(MYFLAGS)
-LDFLAGS+=-Wall -lm -O3 -lz -DOMP -fopenmp#-fopenmp
+
+#LDFLAGS+=-Wall -lm -O3 -L../thirdparty/zlib/build/ -lz
+LDFLAGS+= -O3 -lm  -L../thirdparty/zlib/build/ -lz
 
 ## debug flags
+#CFLAGS		+=-Wall -g -lz -fopenmp
+#LDFLAGS	+=-Wall -lm -g -lz -fopenmp
 
 
-#CFLAGS		+=-Wall -g -lz -fopenmp
-#LDFLAGS		+=-Wall -lm -g -lz -fopenmp
-
+#openmp is incompatiblre with clang 
+ifeq ($(CC), gcc)
+ CFLAGS += -fopenmp -DOMP
+ LDFLAGS+= -fopenmp -DOMP
+endif
 
 
 SRCDIR		= ./src/
@@ -36,9 +43,7 @@
 IFLAGS		= -I$(INCLDIR)
 
 
-
-
-SRC	= $(SRCDIR)coherent_algorithm.c $(SRCDIR)commons.c $(SRCDIR)couple.c $(SRCDIR)extension_algorithm.c $(SRCDIR)fragment_index.c $(SRCDIR)kissReads.c $(SRCDIR)list.c $(SRCDIR)outputs.c $(SRCDIR)interface_libchash.c $(SRCDIR)libchash.c $(SRCDIR)tree.c 
+SRC	= $(SRCDIR)coherent_algorithm.c $(SRCDIR)commons.c $(SRCDIR)couple.c $(SRCDIR)extension_algorithm.c $(SRCDIR)fragment_index.c $(SRCDIR)kissReads.c $(SRCDIR)list.c $(SRCDIR)outputs.c $(SRCDIR)interface_libchash.c $(SRCDIR)libchash.c 
 OBJ	= $(SRC:.c=.o)
