=== debian/changelog ===
discosnp (1.2.5-1) unstable; urgency=medium

  * New upstream release
  * cme fix dpkg-control
  * Fix some DEP3 lintian issues

 -- Andreas Tille <tille@debian.org>  Sat, 11 Oct 2014 10:41:32 +0200

discosnp (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Mon, 18 Aug 2014 16:42:33 +0200
