## discosnp 1.2.6

=== debian/changelog ===
discosnp (1.2.6-2) unstable; urgency=medium

  * Secure URI in watch file
  * Mention that program is superseded by DiscoSnp++
  * Moved packaging from SVN to Git
  * debhelper 10
  * d/rules: do not parse d/changelog
  * Standards-Version: 4.1.1
  * DEP5
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2017 10:05:31 +0100

discosnp (1.2.6-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Nov 2014 17:56:37 +0100
