=== debian/control ===
Source: discosnp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               bc,
               zlib1g-dev,
               help2man
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/discosnp.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/discosnp.git
Homepage: http://colibread.inria.fr/discosnp/

Package: discosnp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zlib1g,
         bc,
         python
Description: discovering Single Nucleotide Polymorphism from raw set(s) of reads
 Software discoSnp is designed for discovering Single Nucleotide 
 Polymorphism (SNP) from raw set(s) of reads obtained with Next Generation
 Sequencers (NGS).
 .
 Note that number of input read sets is not constrained, it can be one, two, 
 or more. Note also that no other data as reference genome or annotations 
 are needed.
 .
 The software is composed by two modules. First module, kissnp2, detects SNPs 
 from read sets. A second module, kissreads, enhance the kissnp2 results by 
 computing per read set  and for each found SNP:
 .
  1) its mean read coverage
  2) the (phred) quality of reads generating the polymorphism.
 .
 This program is superseded by DiscoSnp++.
