=== debian/watch ===
version=4

https://colibread.inria.fr/discosnp/ https://colibread.inria.fr/files/\d+/\d+/discoSnp_([.\d]+)\.zip
