=== tools/CMakeLists.txt ===
################################################################################
#  TOOLS GENERATION 
################################################################################
ADD_SUBDIRECTORY(kissnp2)
ADD_SUBDIRECTORY(kissreads2)
ADD_SUBDIRECTORY(read_file_names)
ADD_SUBDIRECTORY(QHC)
