=== debian/changelog ===
discosnp (2.3.0-2) unstable; urgency=medium

  * Rebuild against libgatbcore2
    Closes: #921843
  * Test-Depends: python

 -- Andreas Tille <tille@debian.org>  Sun, 10 Feb 2019 15:12:20 +0100

discosnp (2.3.0-1) unstable; urgency=medium

  * Point watch file to Github
  * New upstream version
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Build-Depends: libboost-dev, libgatbcore-dev, libhdf5-dev, zlib1g-dev
  * Fix dh_install
  * Depends: gatb-core
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 23 Jan 2019 16:44:23 +0100
