=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk


%:
	dh $@ --with python3

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin
	mv debian/$(DEB_SOURCE)/usr/bin/read_file_names			debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin
	mv debian/$(DEB_SOURCE)/usr/bin/quick_hierarchical_clustering	debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin
	rm -rf debian/$(DEB_SOURCE)/usr/share/discosnp/scripts/jenkins
	for pl in `grep -Rl -e '#![[:space:]]*/bin/python' -e '#![[:space:]]*/usr/bin/env *python' debian/*/usr/*` ; do \
	    sed -i '1s?^#!.*python?#!/usr/bin/python3?' $${pl} ; \
	done

override_dh_installman:
	dh_installman
	# dh_installman interprets .sh as language - just copy manpages manually
	cp -a debian/mans/*.sh.1 debian/$(DEB_SOURCE)/usr/share/man/man1
