## discosnp 2.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,16 @@
 project(DiscoSNP++)
 
 cmake_minimum_required(VERSION 2.6)
-
+#add_compile_options(
+# "-Wall" "-Wpedantic" "-Wextra" "-fexceptions"
+#  "$<$<CONFIG:DEBUG>:-O0;-g3;-ggdb>"
+#)
 ################################################################################
 # The version number.
 ################################################################################
 SET (gatb-tool_VERSION_MAJOR 2)
-SET (gatb-tool_VERSION_MINOR 2)
-SET (gatb-tool_VERSION_PATCH 10)
+SET (gatb-tool_VERSION_MINOR 6)
+SET (gatb-tool_VERSION_PATCH 1)
 
 IF (DEFINED MAJOR)
     SET (gatb-tool_VERSION_MAJOR ${MAJOR})
@@ -81,6 +84,7 @@
 )
 
 # For creating the BINARY package we include the files we want
+INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/discoSnpRAD        DESTINATION .)
 INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc                DESTINATION .)
 INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test               DESTINATION .)
 INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/scripts            DESTINATION . FILES_MATCHING REGEX ".*\\.(py|sh)$"  PATTERN "jenkins" EXCLUDE)
