=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -3,5 +3,6 @@
 ################################################################################
 ADD_SUBDIRECTORY(kissnp2)
 ADD_SUBDIRECTORY(kissreads2)
+ADD_SUBDIRECTORY(QHC)
 ADD_SUBDIRECTORY(read_file_names)
-ADD_SUBDIRECTORY(QHC)
+ADD_SUBDIRECTORY(create_coverage_h5_file)
