=== debian/changelog ===
discosnp (1:2.6.2-5) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1112847
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 11:54:32 +0200

discosnp (1:2.6.2-4) unstable; urgency=medium

  * Fix Python3.12 syntax
    Closes: #1085542
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2024 10:07:19 +0100

discosnp (1:2.6.2-3) unstable; urgency=medium

  * Add loong64 support
    Closes: #1058998
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 23 Dec 2023 10:43:18 +0100

discosnp (1:2.6.2-2) unstable; urgency=medium

  * Team upload.
  * d/control: Only build on architectures supported by gatb-core.
    (Closes: #1031530)
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 17 Feb 2023 17:51:51 -0500

discosnp (1:2.6.2-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Adjust use_debian_packaged_gatb-core.patch to not include GatbCore

  [ Andreas Tille ]
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 16:58:46 +0100

discosnp (1:2.6.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #1000413

 -- Andreas Tille <tille@debian.org>  Sun, 05 Dec 2021 16:34:05 +0100

discosnp (1:2.5.4-1) unstable; urgency=medium

  * New upstream version (upstream has not properly tagged what was
    released as version 4.4.4 thus using epoch)
    Closes: #998143
  * debian/watch:
     - do not report broken version 4.4.4
     - create sensible download file name

 -- Andreas Tille <tille@debian.org>  Tue, 09 Nov 2021 20:26:48 +0100

discosnp (4.4.4-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 14:11:56 +0200

discosnp (4.4.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 14:54:12 +0200

discosnp (2.4.3-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Reported fixed typos upstream
    - https://github.com/GATB/DiscoSnp/pull/15/
    - https://github.com/GATB/DiscoSnp/pull/14/

  [ Andreas Tille ]
  * Fix Python interpreter in several scripts and autopkgtest
    Closes: #942982
  * Standards-Version: 4.5.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 15:59:28 +0100

discosnp (2.3.0-3) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Dec 2019 21:17:15 +0100
