=== debian/control ===
Source: discosnp
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Olivier Sallou <osallou@debian.org>,
 Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 cmake,
 libgatbcore-dev,
 libboost-dev,
 libhdf5-dev,
 zlib1g-dev,
Vcs-Browser: https://salsa.debian.org/med-team/discosnp
Vcs-Git: https://salsa.debian.org/med-team/discosnp.git
Homepage: http://colibread.inria.fr/discosnp/
Rules-Requires-Root: no

Package: discosnp
Architecture: any-amd64 arm64 loong64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 python3,
 gatb-core,
Description: discovering Single Nucleotide Polymorphism from raw set(s) of reads
 Software discoSnp is designed for discovering Single Nucleotide
 Polymorphism (SNP) from raw set(s) of reads obtained with Next Generation
 Sequencers (NGS).
 .
 Note that number of input read sets is not constrained, it can be one, two,
 or more. Note also that no other data as reference genome or annotations
 are needed.
 .
 The software is composed by two modules. First module, kissnp2, detects SNPs
 from read sets. A second module, kissreads, enhance the kissnp2 results by
 computing per read set  and for each found SNP:
 .
  1) its mean read coverage
  2) the (phred) quality of reads generating the polymorphism.
 .
 This program is superseded by DiscoSnp++.
