=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 
 
 %:
-	dh $@ --with python3
+	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 override_dh_install:
 	dh_install
@@ -15,9 +18,6 @@
 	mv debian/$(DEB_SOURCE)/usr/bin/read_file_names			debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin
 	mv debian/$(DEB_SOURCE)/usr/bin/quick_hierarchical_clustering	debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin
 	rm -rf debian/$(DEB_SOURCE)/usr/share/discosnp/scripts/jenkins
-	for pl in `grep -Rl -e '#![[:space:]]*/bin/python' -e '#![[:space:]]*/usr/bin/env *python' debian/*/usr/*` ; do \
-	    sed -i '1s?^#!.*python?#!/usr/bin/python3?' $${pl} ; \
-	done
 
 override_dh_installman:
 	dh_installman
