=== debian/watch ===
Version: 5

Template: Github
Owner: GATB
Project: DiscoSnp
Uversion-Mangle: s/^4\.4\.4/2.4.4/
