## discosnp 4.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 # The version number.
 ################################################################################
 SET (gatb-tool_VERSION_MAJOR 2)
-SET (gatb-tool_VERSION_MINOR 6)
-SET (gatb-tool_VERSION_PATCH 1)
+SET (gatb-tool_VERSION_MINOR 4)
+SET (gatb-tool_VERSION_PATCH 3)
 
 IF (DEFINED MAJOR)
     SET (gatb-tool_VERSION_MAJOR ${MAJOR})
