=== debian/control ===
--- 
+++ 
@@ -1,33 +1,30 @@
 Source: discosnp
-Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders:
- Olivier Sallou <osallou@debian.org>,
- Andreas Tille <tille@debian.org>,
+Uploaders: Olivier Sallou <osallou@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends:
- debhelper-compat (= 13),
- dh-sequence-python3,
- python3,
- cmake,
- libgatbcore-dev,
- libboost-dev,
- libhdf5-dev,
- zlib1g-dev,
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3,
+               cmake,
+               libgatbcore-dev,
+               libboost-dev,
+               libhdf5-dev,
+               zlib1g-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/discosnp
 Vcs-Git: https://salsa.debian.org/med-team/discosnp.git
 Homepage: http://colibread.inria.fr/discosnp/
 Rules-Requires-Root: no
 
 Package: discosnp
-Architecture: any-amd64 arm64 loong64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- ${python3:Depends},
- python3,
- gatb-core,
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${python3:Depends},
+         python3,
+         gatb-core
 Description: discovering Single Nucleotide Polymorphism from raw set(s) of reads
  Software discoSnp is designed for discovering Single Nucleotide
  Polymorphism (SNP) from raw set(s) of reads obtained with Next Generation
